List delivery location configs

Call the listDeliveryLocationConfigs operation to get a list of all the configured delivery destinations. Any of the delivery destinations from this list can be used as a delivery destination for the createDelivery operation.

For SFTP and S3 delivery when creating tasks, you can also obtain the config ID from the contract’s deliveryLocations array via getContract or listContracts. Each entry includes an id field that corresponds to the configID used in createTask.

Example

Request

Enter the following curl command, remembering to replace the ${VARNAME} variables with the appropriate values:

curl --location "${API_BASE_URL}/api/delivery/v1/deliveries/location-configs" \
--header "Accept: application/json, application/problem+json" \
--header "Authorization: Bearer ${API_ACCESS_TOKEN}"

Response

On success, returns a 200 status code and a JSON array of delivery location config objects.

The response may include AWS S3 delivery configurations and/or SFTP delivery configurations, depending on your contract settings.

[
    {
        "id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
        "config": {
            "endpoint": "https://s3.amazonaws.com",
            "region": "eu-central-1",
            "keyID": "ABCDE12345ABCDE12345",
            "bucket": "example-bucket"
        },
        "method": "s3",
        "status": "active"
    },
    {
        "id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
        "config": {},
        "method": "sftp",
        "status": "active"
    }
]

SFTP delivery location configs may appear in this list if your contract includes SFTP delivery locations. For SFTP configs, the config field is empty because SFTP credentials and paths are managed at the contract level. Note that SFTP delivery is only supported with the Tasking API (createTask), not with the Delivery API (createDelivery).

Similarly, an S3 delivery location config with the well-known static ID 0000000e-e000-400c-800f-012345678901 may appear in this list if your contract includes S3 delivery locations. For this config, the config field is empty because the S3 paths are managed at the contract level. This contract-based S3 delivery is only supported with the Tasking API (createTask), not with the Delivery API (createDelivery).